# Uses of Class
org.apache.lucene.analysis.hunspell.SortingStrategy

Packages that use SortingStrategy
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of SortingStrategy in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell that return SortingStrategy
  Modifier and Type
  Method
  Description
  `static SortingStrategy`
  SortingStrategy.`inMemory()`
  The strategy that loads all entries as `String` objects and sorts them in memory.
  `static SortingStrategy`
  SortingStrategy.`offline(Directory tempDir, String tempFileNamePrefix)`
  An "offline" strategy that creates temporary files in the given directory and uses them for sorting with `OfflineSorter`.
  Constructors in org.apache.lucene.analysis.hunspell with parameters of type SortingStrategy
  Modifier
  Constructor
  Description
  ``
  `Dictionary(InputStream affix, List<InputStream> dictionaries, boolean ignoreCase, SortingStrategy sortingStrategy)`
  Creates a new Dictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files.